Bug 442843 - Pull /usr/bin/bogoupgrade into seperate package?
Pull /usr/bin/bogoupgrade into seperate package?
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: bogofilter (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Adrian Reber
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-17 03:04 EDT by W. Michael Petullo
Modified: 2008-06-14 00:19 EDT (History)
0 users

See Also:
Fixed In Version: 1.1.7-1.fc9
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-14 00:14:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description W. Michael Petullo 2008-04-17 03:04:38 EDT
Description of problem:
The only thing in the bogofilter package that seems to require perl is
/usr/bin/bogoupgrade. Can this be put into a seperate package (e.g.,
bogofilter-compat) so that the bogofilter package may be installed without perl?

Version-Release number of selected component (if applicable):
bogofilter-1.1.6-2.fc9.ppc

How reproducible:
Every time.

Steps to Reproduce:
Install bogofilter and note that it pulls in perl.
  
Actual results:


Expected results:


Additional info:
Comment 1 Adrian Reber 2008-05-31 15:37:04 EDT
Good idea. I will put bogoupgrade in its own package with the update to 1.1.7.
Comment 2 Fedora Update System 2008-06-11 07:39:33 EDT
bogofilter-1.1.7-1.fc9 has been submitted as an update for Fedora 9
Comment 3 Fedora Update System 2008-06-11 08:47:04 EDT
bogofilter-1.1.7-1.fc8 has been submitted as an update for Fedora 8
Comment 4 Fedora Update System 2008-06-11 10:40:58 EDT
bogofilter-1.1.7-1.fc7 has been submitted as an update for Fedora 7
Comment 5 Fedora Update System 2008-06-14 00:14:48 EDT
bogofilter-1.1.7-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-06-14 00:18:05 EDT
bogofilter-1.1.7-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-06-14 00:19:00 EDT
bogofilter-1.1.7-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.